<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
include("fozzyconts.php");
Session_name("FOZZYMAIL");
Session_start();
if (( Session_is_registered( Session_Id() . "_ok" ) == false ) ||
	( !Session_is_registered("sess_valide") ) ||
	( $sess_valide != true ))
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$udir = $sess_udir;
Session_write_close();
setlocale (LC_TIME, "fr");
$contact=new FozzyMail_contacts($udir);
$config=new FozzyMail_config($udir,FOZZY_CONF);
$bg_col = $config->bg_col;
$fg_col = $config->fg_col;
unset($config);
if ( isset($save) )
{
	$contact->del_allcontacts();
	if ( is_array($adr) )
	{
		$mx = count($adr);
		$errfnd=false;
		for ($i=0;$i<$mx;$i++)
		{
			$adrr=trim($adr[$i]);
			$nomm=stripslashes(trim($nom[$i]));
			if ( $adrr != "" )
			{
				if ( !$contact->search($adrr) )
				{
					if ( $nomm == "" ) $nomm = $adrr;
					$contact->set_contact($adrr,$nomm);
				}
				else
					$errfnd=true;
			}
			else
			{
				$errfnd=true;
			}
		}
		$contact->save_contacts();
		if ( $errfnd )
		{
			$contact->liste = null;
			$contact->liste = Array();
			$contact->nb=0;
			for ($i=0;$i<$mx;$i++)
			{
				$adrr=trim($adr[$i]);
				$nomm=stripslashes(trim($nom[$i]));
				if ( $adrr == "" )
				{
					$contact->set_contact($adrr,$nomm);
				}
				else if ( $contact->search($adrr) )
				{
					if ( $nomm == "" ) $nomm = $adrr;
					$contact->set_contact("[FOZZYMAIL_DOUBLON]".$adrr,$nomm);
				}
				else
				{
					$contact->set_contact($adrr,$nomm);
				}
			}
		}
	}
	else if ( isset( $adr ) )
	{
		if ( trim($nom) == "" ) $nom = $adr;
		$contact->set_contact($adr,$nom);
		if ( trim($adr) == "" )
		{
			$errfnd=true;
		}
		else
			$contact->save_contacts();
	}
	if ( !$errfnd )
	{
?>
<html>
<head>
<script language=javascript>
function initialisations()
{
	window.close();
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>" onload="initialisations();">
</body>
</html>
<?
		die();		
	}
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:<?=$bg_col?>;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
<script language=javascript>
function Supprimer(obj)
{
	obj.parentElement.parentElement.parentElement.removeNode(true);
}
function add_contact()
{
	nwtr = document.all["contac"].insertRow(2);
	nwtd0 = nwtr.insertCell();
	nwtd1 = nwtr.insertCell();
	nwtd2 = nwtr.insertCell();
	nwtd0.bgColor = "#<?=$fg_col?>";
	nwtd1.bgColor = "#<?=$fg_col?>";
	nwtd2.bgColor = "#<?=$fg_col?>";
	nwtd0.innerHTML = "<font face=Arial size=1><a href='#' onclick='Supprimer(this);return false;' class=A_Unseen>Supprimer</a></font>";
	nwtd1.innerHTML = "<input name=nom[] id=nom[] type=text size=32>";
	nwtd2.innerHTML = "<input name=adr[] id=adr[] type=text size=32>";
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>">
<form method=post action="fozzycontacts.php">
<input type=hidden name=save id=save value=1>
<table name=contac id=contac width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=3><font face=Arial size=3>Carnet d'adresses</font>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<font face=Arial size=1><a href="#" onclick="add_contact();return false;" class=A_Unseen>Ajouter</a></font></td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>">
		<font face=Arial size=1>Supprimer tous</font>
	</td>
	<td bgcolor="#<?=$fg_col?>">
		<font face=Arial size=1>Nom du contact (facultatif) </font>
	</td>
	<td bgcolor="#<?=$fg_col?>">
		<font face=Arial size=1>Email </font>
	</td>
</tr>
<?
	for ($i=0; $i<$contact->nb ; $i++ )
	{
	 	if ( $contact->liste[$i]["adr"] == "" ) { ?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=3>
		<font face=Arial size=1><b>L'adresse email est obligatoire</b></font>
	</td>
</tr>
<?		} 
		if ( ereg("^\[FOZZYMAIL_DOUBLON\](.*)",$contact->liste[$i]["adr"],$regs) )
		{
			$contact->liste[$i]["adr"] = $regs[1];
?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=3>
		<font face=Arial size=1><b>Cette adresse a dj t saisie. Supprimez-la ou corrigez.</b></font>
	</td>
</tr>
<?
		}
?>
<tr>
	<td bgcolor="#<?=$fg_col?>">
		<font face=Arial size=1><a href="#" onclick="Supprimer(this);return false;" class=A_Unseen>Supprimer</a></font>
	</td>
	<td bgcolor="#<?=$fg_col?>">
		<input name=nom[] id=nom[] type=text size=32 value="<?=$contact->liste[$i]["nom"]?>">
	</td>	
	<td bgcolor="#<?=$fg_col?>">
		<input name=adr[] id=adr[] type=text size=32 value="<?=$contact->liste[$i]["adr"]?>">
	</td>	
</tr>
<?	} ?>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=3>
		<center>
		<font face=Arial size=2><a href="#" onclick="document.forms[0].submit();" class=A_Unseen onmouseover="Info_Bulle('Enregistrer ce carnet');return false;">Enregistrer</a></font>
		&nbsp;&nbsp;-&nbsp;&nbsp;<font face=Arial size=2><a href="#" onclick="window.close();return false;" class=A_Unseen onmouseover="Info_Bulle('Fermer la fentre');return false;">Annuler</a></font>
		</center>
	</td>
</tr>
</table>
</form>
</body>
</html>