<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
class FozzySeens
{
	var $udir="";
	var $seens="";
	var $seenb=0;
	
	function FozzySeens($ud)
	{
		$this->udir = $ud;
		$this->load_seenfile();
	}
	function load_seenfile()
	{
		$ret="";
		if ( ($fp=@fopen($this->udir."seens.php","r"))!=false)
		{
			while( !feof($fp) )
			{
				$ret .= fgets($fp,1024);
			}
			fclose($fp);
		}
		if ( $ret != "" ) 
		{
			if ( ereg("^[0-9]*_",$ret) )
			{
				$this->seens = split("\r\n",$ret);
				$mx=count($this->seens);
				for ($i=0; $i<$mx; $i++)
				{
					if ( ereg("^[0-9]*_",$this->seens[$i]) )
					{
						$this->seenb++;
						$this->seens[$i] = "0_".$this->seens[$i];
					}
					else
					{
						$this->seens[$i]="";
					}
				}
			}
			else
			{
				$this->seenb = 0;
			}
		}
	}
	function save_seenfile()
	{
		if ( ($fp=fopen($this->udir."seens.php","w"))!=false)
		{
			$mx = count($this->seens);
			for ( $i=0 ; $i<$mx; $i++ )
			{
				if ( ereg("^[01]_[0-9]*_",$this->seens[$i]) ) fwrite($fp,substr($this->seens[$i],2)."\r\n");
			}
			fclose($fp);
		}
	}
	function clean_seenfile($boxid)
	{
		$mx = count($this->seens);
		for ( $i=0 ; $i<$mx; $i++ )
		{
			if ( ereg("^0_".$boxid."_",$this->seens[$i]) ) $this->seens[$i]="";
		}
	}
	function free_seenfile()
	{
		fclose(fopen($this->udir."seens.php","w"));
		$this->seens = "";
		$this->seenb = 0;
	}
	function search($id)
	{
		$mx = count($this->seens);
		for ($i=0; $i<$mx; $i++)
		{
			$key=substr($this->seens[$i],2);
			if ( $id == $key ) 
			{
				$this->seens[$i] = "1_".$key;
				return($i);
			}
		}
		return(-1);
	}
	function flag_seenfile( $id )
	{
		if ( $this->search($id) == -1 )
		{
			$this->seens[] = "1_".$id;
			$this->seenb++;
		}
	}
	function unflag_seenfile( $id )
	{
		if ( ($i=$this->search($id)) >= 0 )
		{
			$this->seens[$i] = "";
			$this->seenb--;
		}
	}
}
?>
