<?php
/*****************************************************************************
FozzyMail : Web based mail client created by Matthieu Fron
Copyright (C) 2003  Matthieu Fron

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

web site : http://fozzymail.mferon.com
web contact : fozzymail@mferon.com
******************************************************************************/
include("fozzyconfig.php");
include("fozzyfuncts.php");
include("fozzyconts.php");
include("fozzymime.php");
Session_name("FOZZYMAIL");
Session_start();
if (( Session_is_registered( Session_Id() . "_ok" ) == false ) ||
	( !Session_is_registered("sess_valide") ) ||
	( $sess_valide != true ))
{
	die("<META HTTP-EQUIV=\"Refresh\" content=\"0;URL=index.php?err=2\">");
}
$us_dir = $sess_udir;
Session_write_close();
setlocale (LC_TIME, "fr"); 
$FozzyMail = new FozzyMail_config( $us_dir );
$bg_col = $FozzyMail->bg_col;
$fg_col = $FozzyMail->fg_col;
if (( $answer >= 1 ) && ( $answer <=4 ))
{
	$data = split("_",$ansmsg);
	$overview = $FozzyMail->fozzy_fetch_a_mail($data[0],$data[1]);
	for ($i=0; $i<count($FozzyMail->mailboxes); $i++ )
	{
		$mybox = str_replace("[\r\n]*","",$FozzyMail->mailboxes[$i]["box"]);
		if ( eregi($mybox,$overview->hd["to"]) ) 
		{
			$nw_From = $i;
			break;
		}
	}
	if (( $answer == 1 ) || ($answer == 2))
	{
		$nw_Subject = "RE:".fozzy_mime_decode($overview->hd['subject']);
	}
	else
	{
		$nw_Subject = "TR:".fozzy_mime_decode($overview->hd['subject']);
	}
	if ( is_array( $overview->text ) )
	{
		$reponse = "\r\n\r\n********* Message d'origine ********\r\nDe: ".get_emails_list($overview->hd["from"])."\r\nA: ".get_emails_list($overview->hd["to"]);
		$reponse .= "\r\nLe: ".Date("d/m/y H\hi",strtotime(recu($overview->hd["received"])))."\r\nSujet: ".fozzy_mime_decode($overview->hd["subject"])."\r\n\r\n";
		$nw_texte_check="checked";
		$nw_body = $reponse.">>".ereg_replace("\r\n","\r\n>>\t",$overview->text["texte"]);
	}
	if ( is_array( $overview->html ) )
	{
		$reponse = "<br><br><blockquote style=\"PADDING-LEFT: 5px; MARGIN-LEFT: 5px; BORDER-LEFT: #000000 2px solid;\">";
		$reponse .= "********* Message d'origine ********<br>De: ".get_emails_list($overview->hd["from"])."<br>A: ".get_emails_list($overview->hd["to"]);
		$reponse .= "<br>Le: ".Date("d/m/y H\hi",strtotime(recu($overview->hd["received"])))."<br>Sujet: ".fozzy_mime_decode($overview->hd["subject"])."<br><br>";
		$nw_html_check="checked";
		$nw_body = "\r\n".$reponse.$overview->html["texte"]."</blockquote>";
	}
	if ( $answer == 1 )
	{
		$nw_To = get_emails_list($overview->hd["from"]);
	}
	else if ( $answer == 2 )
	{
		$nw_To = get_emails_list($overview->hd["from"]).";\r\n".get_emails_list($overview->hd["to"]);
		$nw_Cc = get_emails_list($overview->hd["cc"]);
	}
	else if ( $answer == 3 )
	{
		if ( is_array($overview->files) )
		{
			foreach( $overview->files as $fl )
			{
				if ( $fl["attach"] == true )
				{
					copy( $us_dir . $fl["Name"], $us_dir."tmp/".$fl["Name"]);
					if ( $nw_attach != "" ) $nw_attach ."/";
					$nw_attach .= $fl["Name"];
				}
			}
		}
	}
}
else if (( isset( $nw_To ) || isset( $nw_Cc ) || isset( $nw_BCc ) ) && ( $reprise != true ))
{
	$conts = new FozzyMail_contacts($us_dir);
	$from = "";
	$to = "";
	$cc = "";
	$bcc = "";
	$txt = "";
	$htm = "";
	$subject = "pas d'objet";
	$hds=Array();
	if ( $FozzyMail->mailboxes[$nw_From]["box"] == "" )
	{
		$from .= $FozzyMail->mailboxes[0]["box"];
	}
	else
	{
		if ( $FozzyMail->mailboxes[$nw_From]["user"] != "" )
			$from .= header_quoted_encode("\"".$FozzyMail->mailboxes[$nw_From]["user"]."\"") . " <" . $FozzyMail->mailboxes[$nw_From]["box"] .">";
		else
			$from .= $FozzyMail->mailboxes[$nw_From]["box"];
	}
	$hds[]="From: ".$from;
	$hds[]="Return-Path: <" . $FozzyMail->mailboxes[$nw_From]["box"] .">";
	$hds[]="Reply-To: ".$from;
	if ( str_replace(" ","",$nw_To) != "" )
	{
		$to = header_quoted_encode($conts->get_contact_str($nw_To));
		$hds[]="To: ".$to;
		$rcpt_to = split(",\r\n\t",$to);
	}
	if ( str_replace(" ","",$nw_Cc) != "" )
	{
		$cc = header_quoted_encode($conts->get_contact_str($nw_Cc));
		$hds[]="Cc: ".$cc;
	}
	if ( str_replace(" ","",$nw_BCc) != "" )
	{
		$bcc = header_quoted_encode($conts->get_contact_str($nw_BCc));
		$hds[]="BCc: ".$bcc;
	}
	if ( str_replace(" ","",$nw_Subject) != "" )
	{
		$subject = header_quoted_encode(stripslashes($nw_Subject));
		$hds[]="Subject: " . $subject;
	}
	$FozzyMail->mailboxes[$nw_From]["sign"] = str_replace("FZ_BR","\r\n",$FozzyMail->mailboxes[$nw_From]["sign"]);
	if ( $nw_html == "html" )
	{
		if ( strip_tags($FozzyMail->mailboxes[$nw_From]["sign"]) != $FozzyMail->mailboxes[$nw_From]["sign"] )
			$sign_htm = $FozzyMail->mailboxes[$nw_From]["sign"];
		else
			$sign_htm = nl2br($FozzyMail->mailboxes[$nw_From]["sign"]);
		$htm = stripslashes($nw_body)."<br>".$sign_htm;
		if ( $nw_texte == "plain" )	
		{
			$sign_txt = eregi_replace("(<[ \r\n\t]*a[ \r\n\t]*[^>]*[ \r\n\t]*href[ \r\n\t]*=[ \r\n\t]*([^ \r\n\t>]*)>([^<]*)<[ \r\n\t]*\/[ \r\n\t]*a[ \r\n\t>]*>)","\\3 : \\2",$sign_htm);
			$sign_txt = strip_tags(eregi_replace("<[\/ \t]*br[ \t]*>","\r\n",ereg_replace("\r\n","",stripslashes($sign_txt))));
			$txt = ereg_replace("<[^>]*>","",eregi_replace("<[\/ \t]*br[ \t]*>","\r\n",ereg_replace("\r\n","",stripslashes($nw_body)))).$sign_txt;
		}
	}
	else if ( $nw_texte == "plain" )
	{
		$sign_txt = eregi_replace("(<[ \r\n\t]*a[ \r\n\t]*[^>]*[ \r\n\t]*href[ \r\n\t]*=[ \r\n\t]*([^ \r\n\t>]*)>([^<]*)<[ \r\n\t]*\/[ \r\n\t]*a[ \r\n\t>]*>)","\\3 : \\2",$FozzyMail->mailboxes[$nw_From]["sign"]);
		$txt = stripslashes($nw_body).strip_tags($sign_txt);
	}
	if ( $nw_attach != "" )
	{
		$attach = split("\/",$nw_attach);
	}
	if (( $to != "" ) || ($cc != "") || ($bcc != ""))
	{
		$nw_mime = new FozzyMail_mime($hds,$txt,$htm,$attach);
		$nw_mime->make_file_mail($us_dir);
		if ( $nw_mode == 0 )
		{
			if ( $fichier != "" ) @unlink($us_dir."diff/".$fichier);
			$ret = $nw_mime->send_file_mail($FozzyMail->mailboxes[$nw_From]["smtp"],$FozzyMail->mailboxes[$nw_From]["sport"],$from,$rcpt_to,$us_dir);
			if ( $FozzyMail->keepsent == 1 ) @copy($us_dir."tmp/sendemail.txt",$us_dir."sent/".$nw_mime->message_id.".eml");
		}
		else
		{
			if ( $fichier != "" ) @unlink($us_dir."diff/".$fichier);
			copy($us_dir."tmp/sendemail.txt",$us_dir."diff/".$nw_mime->message_id.".eml");
			$ret =true;
		}
		@unlink($us_dir."tmp/*.*");
		unset($nw_mime);
		if ( $ret == true )
		{
?>
<html>
<head>
<script language=javascript>
function initialisations()
{
	window.close();
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>" onload="initialisations();">
</body>
</html>
<?			die();
		}
	}
}
else if ( $reprise )
{
	if ( $nw_attach != "" )
	{
		$attach = split("\/",$nw_attach);
		foreach($attach as $file)
		{
			copy( $us_dir.$file, $us_dir."tmp/".$file );
		}
	}
}
else
{
	$nw_texte_check = "checked";
}
?>
<html>
<head>
<style>
.A_Unseen
{
	color:#000000;
	font-Family:Arial;
	text-Decoration:underline;
}
.A_seen
{
	color:silver;
	font-Family:Arial;
	text-Decoration:underline;
}
</style>
<SCRIPT LANGUAGE=javascript SRC="mfe_calque.js"></SCRIPT>
<SCRIPT LANGUAGE=javascript SRC="mfe_infobulle.js"></SCRIPT>
<script language=javascript>
var champ=null;
function set_contacts(liste)
{
	champ.value=liste.replace(/\r\n/g,"; ");
	champ.parentElement.childNodes(1).value = liste;
}
function get_contacts()
{
	return( champ.parentElement.childNodes(1).value);
}
function add_contacts(obj)
{
	champ = obj.parentElement.parentElement.parentElement.parentElement.cells[1].childNodes(0);
	window.open('fozzyadd.php','FozzyAdd','width=400,height=300,left=200,top=100,scrollbars=yes,resizable=yes');
}
function set_jointes(name)
{
	if ( document.all["nw_attach"].value != "" )
		document.all["nw_attach"].value += "/"+name;
	else
		document.all["nw_attach"].value = name;
	champ.childNodes(0).innerHTML += "<a href='#' onmouseover='Info_Bulle(\"Supprimer cette pice jointe\");return false;' onclick='del_jointes(this);return false;' class=A_Unseen>"+name+"</a>&nbsp;";
}
function del_jointes(obj)
{
	src = obj.outerHTML;
	fil = obj.innerText;
	document.all["nw_attach"].value = document.all["nw_attach"].value.replace(fil,"");
	obj.parentElement.innerHTML = obj.parentElement.innerHTML.replace(src,"");
}
function add_jointes(obj)
{
	champ = obj.parentElement.parentElement.parentElement.parentElement.cells[1];
	window.open('fozzyjointes.php','FozzyAdd','width=320,height=150,left=200,top=100');
}
</script>
</head>
<body bgcolor="#<?=$bg_col?>">
<form id=nw_send name=nw_send action="fozzywrite.php" method=post>
<input type=hidden name=nw_mode id=nw_mode value="0">
<input type=hidden name=fichier id=fichier value="<?=$fichier?>">
<input type=hidden name=nw_attach id=nw_attach value="<?=$nw_attach?>">
<table width=100% border=0 cellpadding=1 cellspacing=1>
<tr>
	<td bgcolor="#<?=$fg_col?>" colspan=2>
		<font face=Arial size=1><a href="#" onclick="document.all['nw_mode'].value=0;document.forms[0].submit();return false;" class=A_Unseen>Envoyer</a></font>&nbsp;-&nbsp;
		<font face=Arial size=1><a href="#" onclick="document.all['nw_mode'].value=1;document.forms[0].submit();return false;" class=A_Unseen>Diffrer</a></font>&nbsp;-&nbsp;
		<font face=Arial size=1><a href="#" onclick="window.close();" class=A_Unseen>Annuler</a></font></td>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><b>Format</b></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><input type=checkbox name=nw_texte id=nw_texte value="plain" <?=$nw_texte_check?>>Texte et/ou <input type=checkbox name=nw_html id=nw_html value="html" <?=$nw_html_check?>>Html</font></td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>" width=10%><font face=Arial size=1><b>De</b></font></td>
	<td bgcolor="#<?=$fg_col?>">
		<select name=nw_From id=nw_From>
<?
	for ($i=0;$i<$FozzyMail->mboxes;$i++)
	{
		echo "\t\t\t<option value=$i";
		if ( $i==$nw_From ) echo " selected";
		echo ">";
		if ( $FozzyMail->mailboxes[$i]["user"] != "" )
			echo $FozzyMail->mailboxes[$i]["user"];
		else
			echo $FozzyMail->mailboxes[$i]["box"];
		echo "</option>\r\n";
	}
?>		
		</select>
	</td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><b><a class=A_Unseen href="#" onclick="add_contacts(this);return(false);">Destinataires</a></b></font></td>
	<td bgcolor="#<?=$fg_col?>"><input type=text name=nw_To id=nw_To size=100 value="<?=$nw_To?>"><input type=hidden name=nw_hTo id=nw_hTo value="<?=$nw_hTo?>"></td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><b><a class=A_Unseen href="#" onclick="add_contacts(this);return false;">Copie </a></b></font></td>
	<td bgcolor="#<?=$fg_col?>"><input type=text name=nw_Cc id=nw_Cc size=100 value="<?=$nw_Cc?>"><input type=hidden name=nw_hCc id=nw_hCc value="<?=$nw_hCc?>"></td>
</tr>
<!--
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><b><a class=A_Unseen href="#" onclick="add_contacts(this);return false;">Copie cache </a></b></font></td>
	<td bgcolor="#<?=$fg_col?>"><input type=text name=nw_BCc id=nw_BCc size=100 value="<?=$nw_BCc?>"><input type=hidden name=nw_hBCc id=nw_hBCc value="<?=$nw_hBCc?>"></td>
</tr>
-->
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><b><a class=A_Unseen href="#" onclick="add_jointes(this);return false;">Pices jointes</a></b></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><?=$nw_attach?></font></td>
</tr>
<tr>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><b>Sujet</b></font></td>
	<td bgcolor="#<?=$fg_col?>"><font face=Arial size=1><input type=text name=nw_Subject id=nw_Subject size=100 value="<?=$nw_Subject?>"></td>
</tr>
<tr>
	<td colspan=2 bgcolor=#ffffff>
	<textarea cols=93 rows=22 name=nw_body id=nw_body><?=$nw_body?></textarea>
	</td>
</tr>
</table>
</form>
</body>
</html>
